> For the complete documentation index, see [llms.txt](https://docs.ndax.in/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ndax.in/v3/private-endpoints/deposits/get-digital-asset-address.md).

# GET: Digital Asset Address

#### `GET /deposits/digital_asset_addresses` <a href="#get-deposits-digital_asset_addresses" id="get-deposits-digital_asset_addresses"></a>

```
const getDepositAddresses = () => {
  const body = {}
  const timestamp = Math.round(Date.now() / 1000)
  const payload = timestamp + 'GET' + '/deposits/digital_asset_addresses' + '{}'
  const decodedSecret = Buffer.from(apiSecret, 'base64')
  const hmac = crypto.createHmac('sha256', decodedSecret)
  const signedPayload = hmac.update(payload).digest('base64')

  // SET HEADERS
  const headers = {
    'X-NDAX-API-KEY': 'public_key',
    'X-NDAX-SIGNED': signedPayload,
    'X-NDAX-TIMESTAMP': timestamp,
    'X-NDAX-PASSPHRASE': 'passphrase'
  }
  const options = {
    headers,
    body,
    json: true
  }

  return request.get(
    'https://api.ndax.in/deposits/digital_asset_addresses',
    options
  )
}
```

> Sample Response

```
{
  "message": [
    {
      "created_at": 1561996924964,
      "address": "2NCgV7BXXafJZ86utcYFs5m3tCpkcpLafeG",
      "participant_code": "ABCDEF",
      "asset": "BTC"
    },
    {
      "created_at": 1561996924964,
      "address": "0xe01ed9e684de649bfec799cd79f6c27335c23cb9",
      "participant_code": "ABCDEF",
      "asset": "ETH"
    }
  ]
}
```

Returns an array of addresses associated with a participant's digital asset wallet. In order to GET deposit addresses for a participant\_code other than yourself, you must have the `submits_platform_withdrawals_for` relationship against said participant\_code. Refer [here](https://seedcx.zendesk.com/hc/en-us/articles/360021160534-Participant-Relationships-and-Access-Rights) for more information on relationship types.

Query parameters include:

* `participant_code` (optional) will return addresses for one of your customers - if not included, will default to the participant the API key was created for
* `asset` (optional) will filter to a specific asset

Response:

<table><thead><tr><th width="193.33333333333331">Parameter</th><th width="378">Description</th><th>Type</th></tr></thead><tbody><tr><td>created_at</td><td>The timestamp for when the address was created</td><td>timestamp</td></tr><tr><td>address</td><td>The digital wallet address</td><td>string</td></tr><tr><td>asset</td><td>The asset code for the request, e.g. <code>BTC</code></td><td>string</td></tr><tr><td>participant_code</td><td>The participant the request belongs to, e.g. <code>ABCDEF</code></td><td>string</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ndax.in/v3/private-endpoints/deposits/get-digital-asset-address.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
